PHP_ARG_WITH(hpdf, Soporte para HPDF, [ --with-hpdf=[DIR] Habilita el soporte de HPDF])

if test "$PHP_HPDF" != "no"
then
	AC_DEFINE(HAVE_HPDF, 1, [Tienes o no tienes soporte HPDF])

	HPDF_LIBNAME="hpdf"
	HPDF_LIB_DIR=""
	HPDF_DIR=""
	HPDF_INC_DIR=""

	for i in $PHP_HPDF /usr/local /usr
	do
		if test -r $i/include/hpdf.h
		then
			HPDF_DIR="$i"
			HPDF_INC_DIR="$i/include"
			break
		fi
	done	

	if test -z "$HPDF_DIR"
	then
		AC_MSG_ERROR([No pude encontrar los headers de HPDF en $PHP_HPDF])
	fi

	for i in $HPDF_DIR $PHP_LIBDIR
	do
		if test -r $i/lib/libhpdf.so
		then
			HPDF_LIB_DIR="$i/lib"
			break
		fi
	done

	if test -z "$HPDF_LIB_DIR"
	then
		AC_MSG_ERROR(no pude encontrar libhpdf.so en $HPDF_DIR)
	fi

	PHP_ADD_INCLUDE($HPDF_INC_DIR)
	PHP_ADD_LIBRARY_WITH_PATH($HPDF_LIBNAME, $HPDF_LIB_DIR, HPDF_SHARED_LIBADD)
	PHP_SUBST(HPDF_SHARED_LIBADD)
	PHP_NEW_EXTENSION(hpdf, hpdf.c, $ext_shared,,"-DHPDF_SHARED")
fi
